# Uses of Interface
com.sun.source.tree.CatchTree

Packages that use CatchTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of CatchTree in com.sun.source.tree

Methods in com.sun.source.tree that return types with arguments of type CatchTree
Modifier and Type
Method
Description
`List<? extends CatchTree>`
TryTree.`getCatches()`
Returns any catch blocks provided in the `try` statement.
Methods in com.sun.source.tree with parameters of type CatchTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitCatch(CatchTree node, P p)`
Visits a CatchTree node.

## Uses of CatchTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type CatchTree
Modifier and Type
Method
Description
`abstract TypeMirror`
Trees.`getLub(CatchTree tree)`
Returns the lub of an exception parameter declared in a catch clause.
`R`
SimpleTreeVisitor.`visitCatch(CatchTree node, P p)`
Visits a CatchTree node.
`R`
TreeScanner.`visitCatch(CatchTree node, P p)`
Visits a CatchTree node.